# _NodeInfo Struct Reference

## Data Fields

struct _NodeInfo * | child [16]
ColorPacket * | list
MagickSizeType | number_unique
unsigned long | level
struct _NodeInfo * | parent
RealPixelPacket | total_color
MagickRealType | quantize_error
unsigned long | color_number
unsigned long | id
void * | key
void * | value
struct _NodeInfo * | left
struct _NodeInfo * | right

## Field Documentation

struct _NodeInfo * _NodeInfo::child | ( |  | ) | `[read]`

ColorPacket* _NodeInfo::list

MagickSizeType _NodeInfo::number_unique

unsigned long _NodeInfo::level

struct _NodeInfo* _NodeInfo::parent `[read]`

RealPixelPacket _NodeInfo::total_color

MagickRealType _NodeInfo::quantize_error

unsigned long _NodeInfo::color_number

unsigned long _NodeInfo::id

void* _NodeInfo::key

void* _NodeInfo::value

struct _NodeInfo* _NodeInfo::left `[read]`

struct _NodeInfo * _NodeInfo::right `[read]`

The documentation for this struct was generated from the following files:

- color.c
- quantize.c
- splay-tree.c